#!/bin/sh

TESTNAME=t04
DGC=/usr/bin/dgc
EXAMPLE=/usr/share/dgc/example.kiss
GENLIB=/usr/share/dgc/default.genlib

if [ ! -f $DGC ]; then
    echo "$DGC doesn't exist"
    exit 1
fi

if [ ! -f $EXAMPLE ]; then
    echo "$EXAMPLE doesn't exist"
    exit 1
fi

if [ ! -f $GENLIB ]; then
    echo "$GENLIB doesn't exist"
    exit 1
fi

$DGC $EXAMPLE -lib $GENLIB -oe tmp

TEST=`grep -c "clk" tmp`
if [ $TEST -ne 2 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c "clr" tmp`
if [ $TEST -ne 2 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c "nor3" tmp`
if [ $TEST -ne 2 ]; then
    echo "$TEST ... failed"
    exit 1
fi

echo "$TESTNAME ... success."
echo "Removing $TESTNAME tmp"
rm tmp
